%define modn   unionfs
%define modv   0.20


Summary:       A union filesystem using FUSE
Name:          fuse-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         Applications/System
Source0:       http://podgorny.cz/%{modn}-fuse/releases/%{modn}-fuse-%{modv}.tar.bz2
URL:           http://podgorny.cz/%{modn}-fuse/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Radek Podgorny <radek@podgorny.cz>
Provides:      fuse-mod(%{modn}) = %{modv}
Requires:      fuse
BuildRequires: libfuse-devel


%description
This package provides a unionfs filesystem implementation which is more
flexible than the current in-kernel solutions.


%prep
%setup -q -n %{modn}-fuse-%{modv}


%build
export CFLAGS="${RPM_OPT_FLAGS}"

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}

%{__install} -m 0755 %{modn} ${RPM_BUILD_ROOT}%{_bindir}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CREDITS
%{_bindir}/%{modn}


%changelog
* Mon Jul 21 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.20-1
- Initial build
